<?php

namespace ScopedGtbabel\Cocur\Slugify\Bridge\League;

use ScopedGtbabel\Cocur\Slugify\RuleProvider\DefaultRuleProvider;
use ScopedGtbabel\Cocur\Slugify\RuleProvider\RuleProviderInterface;
use ScopedGtbabel\Cocur\Slugify\Slugify;
use ScopedGtbabel\Cocur\Slugify\SlugifyInterface;
use ScopedGtbabel\League\Container\ServiceProvider\AbstractServiceProvider;
class SlugifyServiceProvider extends AbstractServiceProvider
{
    protected $provides = [SlugifyInterface::class];
    public function register() : void
    {
        $this->container->share(SlugifyInterface::class, function () {
            $options = [];
            if ($this->container->has('config.slugify.options')) {
                $options = $this->container->get('config.slugify.options');
            }
            $provider = null;
            if ($this->container->has(RuleProviderInterface::class)) {
                /* @var RuleProviderInterface $provider */
                $provider = $this->container->get(RuleProviderInterface::class);
            }
            return new Slugify($options, $provider);
        });
    }
}
